\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - CGAL and Solvers

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Member Functions
SvdTraits::Matrix Concept Reference

## Definition

Concept of matrix type used by the concept `SvdTraits`.

Has Models:
  `CGAL::Eigen_matrix<T>`

## Public Member Functions
| Matrix (size_t n1, size_t n2)
| initialize all the entries of the matrix to zero.
size_t | number_of_rows ()
size_t | number_of_columns ()
FT | operator() (size_t i, size_t j)
| return the entry at row `i` and column `j`, `i` from `0` to `number_of_rows - 1`, `j` from `0` to `number_of_columns - 1`.
void | set (size_t i, size_t j, const FT value)
| set the entry at row `i` and column `j` to `value`.